<template>
  <div class="page-root">
    <v-list two-line>
      <product-group-list-item v-for="group in groups" :key="group.id" :id="group.id"/>
    </v-list>

    <!-- Speed Dial -->
    <v-btn
      fixed
      bottom
      right
      fab
      dark
      color="blue"
      title="Create Group"
      @click="$refs.createGroupDialog.open()"
    >
      <v-icon>mdi-plus</v-icon>
    </v-btn>

    <create-group-dialog ref="createGroupDialog"/>
  </div>
</template>

<script>
import gql from "graphql-tag";
import ProductGroupListItem from "@/components/list-items/ProductGroupListItem";
import CreateGroupDialog from "@/components/dialogs/CreateGroupDialog";

export default {
  name: "products-page",
  components: {
    ProductGroupListItem,
    CreateGroupDialog
  },
  data() {
    return { speedDial: false, groups: [], product: null };
  },
  apollo: {
    groups: {
      query: gql`
        query {
          groups: listProductGroups {
            id
          }
        }
      `,
      subscribeToMore: {
        document: gql`
          subscription {
            groups: listProductGroups {
              id
            }
          }
        `
      }
    }
  }
};
</script>

<style lang="scss">
</style>

